ICU 74.2: Data Fields

ICU 74.2 74.2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- identityFallback : icu::number::impl::RangeMacroProps, icu::number::NumberRangeFormatterSettings< Derived >
- IDNAInfo() : icu::IDNAInfo
- increment() : icu::number::Precision
- incrementExact() : icu::number::Precision
- inDaylightTime() : icu::Calendar, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::TimeZone, icu::VTimeZone
- index : UCharIterator
- indexOf() : icu::UnicodeSet, icu::UnicodeString
- init() : icu::FontRuns, icu::LocaleRuns, icu::RunArray, icu::ValueRuns
- initCurrency() : icu::MeasureUnit
- InitialTimeZoneRule() : icu::InitialTimeZoneRule
- initMeasureFormat() : icu::MeasureFormat
- initTime() : icu::MeasureUnit
- input() : icu::RegexMatcher
- inputText() : icu::RegexMatcher
- insert() : icu::UnicodeString
- integer() : icu::number::Precision, icu::Transliterator::Token
- INTEGER_FIELD : icu::NumberFormat
- integerToken() : icu::Transliterator
- integerWidth : icu::number::impl::MacroProps, icu::number::NumberFormatterSettings< Derived >
- inTemporalLeapYear() : icu::Calendar
- internalAddContractions() : icu::RuleBasedCollator
- internalBuildTailoring() : icu::RuleBasedCollator
- internalCompareUTF8() : icu::Collator, icu::RuleBasedCollator
- internalCreateInstance() : icu::NumberFormat
- internalForLocale() : icu::PluralRules
- internalGet() : icu::Calendar
- internalGetCEs() : icu::RuleBasedCollator
- internalGetCharString() : icu::Formattable
- internalGetContractionsAndExpansions() : icu::RuleBasedCollator
- internalGetEra() : icu::GregorianCalendar
- internalGetLocaleID() : icu::RuleBasedCollator
- internalGetMonth() : icu::Calendar
- internalGetShortDefinitionString() : icu::Collator, icu::RuleBasedCollator
- internalGetTime() : icu::Calendar
- internalMatch() : icu::LocaleMatcher
- internalNextSortKeyPart() : icu::Collator, icu::RuleBasedCollator
- internalSet() : icu::Calendar
- internalSetTime() : icu::Calendar
- isAlgorithmic() : icu::NumberingSystem
- isBigEndian : UDataInfo
- isBogus() : icu::CollationKey, icu::Locale, icu::UnicodeSet, icu::UnicodeString
- isBoundary() : icu::BreakIterator, icu::RuleBasedBreakIterator
- isBufferClone() : icu::BreakIterator
- isCalendarLenient() : icu::DateFormat
- isComplex() : icu::ParagraphLayout
- isCustomCurrencySymbol() : icu::DecimalFormatSymbols
- isCustomIntlCurrencySymbol() : icu::DecimalFormatSymbols
- ISDATE : icu::Formattable
- isDecimalFormatSymbols() : icu::number::impl::SymbolsWrapper
- isDecimalPatternMatchRequired() : icu::DecimalFormat
- isDecimalSeparatorAlwaysShown() : icu::DecimalFormat
- isDone() : icu::ParagraphLayout
- isEmpty() : icu::UnicodeSet, icu::UnicodeString
- isEquivalentTo() : icu::AnnualTimeZoneRule, icu::Calendar, icu::GregorianCalendar, icu::InitialTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneRule
- isExponentSignAlwaysShown() : icu::DecimalFormat
- isFailure() : icu::ErrorCode
- isFieldUnitIgnored() : icu::SimpleDateFormat
- isFor() : icu::ExternalBreakEngine
- isFormatFailIfMoreThanMaxDigits() : icu::DecimalFormat
- isFrozen() : icu::UnicodeSet
- isGroupingUsed() : icu::NumberFormat
- isIgnorable() : icu::CollationElementIterator
- isInert() : icu::FilteredNormalizer2, icu::Normalizer2
- isKeyword() : icu::PluralRules
- isLeapYear() : icu::GregorianCalendar
- isLenient() : icu::Calendar, icu::DateFormat, icu::NumberFormat, icu::RuleBasedNumberFormat
- isMatch() : icu::LocaleMatcher
- isNormalized() : icu::FilteredNormalizer2, icu::Normalizer2, icu::Normalizer
- isNormalizedUTF8() : icu::FilteredNormalizer2, icu::Normalizer2
- isNull() : icu::LocalPointerBase< T >
- isNumberingSystem() : icu::number::impl::SymbolsWrapper
- isNumeric() : icu::Formattable
- isParseCaseSensitive() : icu::DecimalFormat
- isParseIntegerOnly() : icu::NumberFormat
- isParseNoExponent() : icu::DecimalFormat
- isRightToLeft() : icu::Locale
- isScientificNotation() : icu::DecimalFormat
- isSet() : icu::Calendar, icu::number::impl::StringProp
- isSignAlwaysShown() : icu::DecimalFormat
- isString() : icu::UnicodeSetIterator
- isSuccess() : icu::ErrorCode
- isTransitionalDifferent() : icu::IDNAInfo, UIDNAInfo
- isValid() : icu::LocalPointerBase< T >
- isWeekend() : icu::Calendar
- Iterator() : icu::BytesTrie::Iterator, icu::Edits::Iterator, icu::UCharsTrie::Iterator